Subject: bug#63842: 30.0.50; Slow 'gnus-summary-refer-thread'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Jun 2023 08:55:24 +0300

Ping!  Can we revive this and solve the issue, please?

> Cc: [email-masked], [email-masked]
> Date: Sat, 03 Jun 2023 15:23:17 +0200
> From:  Manuel Giraud via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Andrew Cohen <[email-masked]> writes:
> 
> [...]
> 
> > Can you tell me (for circumstances where the referral is slow):
> 
> Hi Andrew,
> 
> > 1. What kind of group and the backend used  in the group from which you
> > did the referral (imap, nntp, etc)
> 
> I'm retrieving my mail via IMAP into a local nnml backend.  This is in
> such group that I witness the slowdown.  I have not tested on any other
> backend.
> 
> > 2. What search engine are you using (imap, notmuch, etc)
> 
> I have setup notmuch onto the default nnml directory and set
> 'gnus-select-method' as follow:
> --8<---------------cut here---------------start------------->8---
> (setq gnus-select-method '(nnml "" (gnus-search-engine gnus-search-notmuch)))
> --8<---------------cut here---------------end--------------->8---
> 
> > 3. When the thread referral happens which groups are getting searched?
> > (In particular, what is the value of
> > 'gnus-refer-thread-use-search? And is the search on the full server or
> > is it restricted to a single group?). And can you tell if the same set of
> > groups is being searched before and after the slowdown appeared?
> 
> I have let 'gnus-refer-thread-use-search' to its default NIL value.  My
> search was restricted to a single (mail) group and, previously, I was
> doing the same thread referral search on the same group.
> 
> Thanks and hope this helps.
> -- 
> Manuel Giraud
> 
> 
> 
>